% This program corresponds to Section 3.3.4 of the thesis.
% The local stiffness reduction factor is plotted against the indicator
%   ratio (sigma) of lateral stiffness between the beams and columns
clc, clear, close all
x_vec = logspace(0,3,1000);
y_vec = x_vec./(1+x_vec);
figure('Renderer', 'painters', 'Position', [10 10 450 275])
set(gca, 'FontName', 'Times New Roman');
semilogx(x_vec,y_vec,'k-')
grid on
xlabel('Beam-to-column-brace stiffness ratio, \varsigma')
ylabel('Lateral stiffness reduction factor, \varsigma/(1+\varsigma)')
set(gca, 'FontName', 'Times New Roman');